Bug 215323 - grubby can't update config with 2 dir-depth
grubby can't update config with 2 dir-depth
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mkinitrd (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-13 09:58 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.1.16-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-14 11:56:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix_mkinitrd_by_changing-basename-to-dirname.patch (927 bytes, patch)
2006-11-13 09:58 EST, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-11-13 09:58:01 EST
Tested only with yaboot, but should have the same problem with grub.conf.

mkinitrd-5.1.2-1.4

Patch from Lin Feng Shen <shenlinf@cn.ibm.com> attached

# cat /etc/yaboot.conf | tail -6
image=/vmlinuz-2.6.18-1.2739.el5
       label=linux
       read-only
       initrd=/initrd-2.6.18-1.2739.el5.img
       root=/dev/VolGroup00/LogVol00
       append="console=hvc0 rhgb quiet"
# cp /etc/yaboot.conf /etc/yaboot.conf.orig
# mkdir /home/tmpdir; cd /home/tmpdir
# /sbin/grubby --yaboot --update-kernel=/boot/vmlinuz-2.6.18-1.2739.el5
--args=crashkernel=576M@32M
grubby: error creating ../boot/etc/yaboot.conf-: No such file or directory
# diff /etc/yaboot.conf /etc/yaboot.conf.orig
# cd /root
# /sbin/grubby --yaboot --update-kernel=/boot/vmlinuz-2.6.18-1.2739.el5
--args=crashkernel=576M@32M
# diff /etc/yaboot.conf /etc/yaboot.conf.orig
21c21
<       append="console=hvc0 rhgb quiet crashkernel=576M@32M"
---
>       append="console=hvc0 rhgb quiet"
Comment 1 Bastien Nocera 2006-11-13 09:58:01 EST
Created attachment 141052 [details]
fix_mkinitrd_by_changing-basename-to-dirname.patch
Comment 2 RHEL Product and Program Management 2006-11-13 10:00:25 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Peter Jones 2006-11-14 11:56:31 EST
Already fixed in mkinitrd 5.1.16-1 .

Note You need to log in before you can comment on or make changes to this bug.